{{ define "main" }}
{{ if (and .Parent .Parent.IsHome) -}}
  {{ $.Scratch.Set "dr-pages" (where .Site.RegularPages "Section" .Section) -}}
{{ else -}}
  {{$.Scratch.Set "dr-pages" .Pages -}}
{{ end -}}

<div class="td-blog-posts">
  <h1>{{ .Title }}</h1>
  {{ with .Params.description }}<div class="lead">{{ . | markdownify }}</div>{{ end }}
  {{ .Content | markdownify }}
  {{ if .Pages -}}
    {{ $pag := .Paginate (( $.Scratch.Get "dr-pages").GroupByDate "2006" ) -}}
    {{ range $pag.PageGroups -}}
    <div class="h2">{{ T "decision_posts_in" }} {{ .Key }}</div>
    <ul class="td-blog-posts-list">
      {{ range .Pages -}}
      <li class="td-blog-posts-list__item">
        <div class="td-blog-posts-list__body">
          <h5 class="mt-0 mb-1"><a href="{{ .RelPermalink }}">{{ .Title }}</a></h5>
          <p class="mb-2 mb-md-3">
            <small class="text-muted">
              {{ .Date.Format ($.Param "time_format_blog") }} {{ T "ui_in"}} {{ .CurrentSection.LinkTitle }}
              {{ with .Params.status }} | <b class="status-badge  {{ . }}">{{ . | markdownify }}</b>{{ end}}
            </small>
          </p>
          <header class="article-meta">
            {{ partial "taxonomy_terms_article_wrapper.html" . -}}
            {{ if (and (not .Params.hide_readingtime) (.Site.Params.ui.readingtime.enable)) -}}
              {{ partial "reading-time.html" . -}}
            {{ end -}}
          </header>
          {{ partial "featured-image.html" (dict "p" . "w" 250 "h" 125 "class" "float-start me-3 pt-1 d-none d-md-block") -}}
          <p class="pt-0 mt-0">{{ .Plain | safeHTML | truncate 250 }}</p>
          <p class="pt-0"><a href="{{ .RelPermalink }}" aria-label="{{ T "ui_read_more"}} - {{ .LinkTitle }}">{{ T "ui_read_more"}}</a></p>
        </div>
      </li>
      {{ end -}}
    </ul>
    {{ end -}}
  {{ end }}
</div>
<div class="td-blog-posts__pagination">
  {{ if .Pages -}}
    {{ template "_internal/pagination.html" . -}}
  {{ end -}}
</div>
{{ end -}}
